org.apache.cassandra.db

## Class ColumnFamilyStore.RefViewFragment

- java.lang.Object
- - org.apache.cassandra.db.ColumnFamilyStore.ViewFragment
  - - org.apache.cassandra.db.ColumnFamilyStore.RefViewFragment

All Implemented Interfaces:
  java.lang.AutoCloseable

Enclosing class:
  ColumnFamilyStore

    public static class ColumnFamilyStore.RefViewFragment
    extends ColumnFamilyStore.ViewFragment
    implements java.lang.AutoCloseable

### Field Summary

Fields
`Refs<SSTableReader>` `refs`

### Fields inherited from class org.apache.cassandra.db.ColumnFamilyStore.ViewFragment

`memtables, sstables`

### Constructor Summary

Constructors
Constructor and Description
`RefViewFragment(java.util.List<SSTableReader> sstables, java.lang.Iterable<Memtable> memtables, Refs<SSTableReader> refs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `release()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### refs

    public final Refs<SSTableReader> refs

### Constructor Detail

#### RefViewFragment

    public RefViewFragment(java.util.List<SSTableReader> sstables,
                           java.lang.Iterable<Memtable> memtables,
                           Refs<SSTableReader> refs)

### Method Detail

#### release

    public void release()

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`